Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.criterion
Class EmptyExpression

    java.lang.Object
      org.hibernate.criterion.AbstractEmptinessExpression
          org.hibernate.criterion.EmptyExpression

All Implemented Interfaces:
  Serializable, Criterion

    public class EmptyExpression

extends AbstractEmptinessExpression
implements Criterion

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hibernate.criterion.AbstractEmptinessExpression
`propertyName`

Constructor Summary
`protected` | `EmptyExpression(String propertyName)`

Method Summary
`protected boolean` | `excludeEmpty()`

Methods inherited from class org.hibernate.criterion.AbstractEmptinessExpression
`getQueryableCollection, getTypedValues, toSqlString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.hibernate.criterion.Criterion
`getTypedValues, toSqlString`

Constructor Detail

### EmptyExpression

    protected EmptyExpression(String propertyName)

Method Detail

### excludeEmpty

    protected boolean excludeEmpty()

  Specified by:
    `excludeEmpty` in class `AbstractEmptinessExpression`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.